Loading...
Searching...
No Matches
fastjet::NestedDefsPlugin Class Reference
Plugins for non-native jet definitions

Plugin to run multiple jet definitions successively (plugin for fastjet v2.4 upwards). More...

`#include <fastjet/NestedDefsPlugin.hh>`

Inheritance diagram for fastjet::NestedDefsPlugin:
[legend]
Collaboration diagram for fastjet::NestedDefsPlugin:
[legend]

## Public Member Functions

| NestedDefsPlugin (std::list< JetDefinition > &defs)
| Main constructor for the NestedDefs Plugin class.
| NestedDefsPlugin (const NestedDefsPlugin &plugin)
| copy constructor
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| the plugin mechanism's standard way of accessing the jet radius here we return the R of the last alg in the list
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

Plugin to run multiple jet definitions successively (plugin for fastjet v2.4 upwards).

NestedAglsPlugin is a plugin for fastjet (v2.4 upwards) that, given a list of jet definitions, performs the clustering by feeding the particles to the first algorithm and then, successively feeding the output to the next algorithm in the list.

Definition at line 56 of file NestedDefsPlugin.hh.

## Constructor & Destructor Documentation

## NestedDefsPlugin() [1/2]

fastjet::NestedDefsPlugin::NestedDefsPlugin | ( | std::list< JetDefinition > & | defs | ) |

inline

Main constructor for the NestedDefs Plugin class.

The argument is an initialised list of jet algorithms

Definition at line 61 of file NestedDefsPlugin.hh.

## NestedDefsPlugin() [2/2]

fastjet::NestedDefsPlugin::NestedDefsPlugin | ( | const NestedDefsPlugin & | plugin | ) |

inline

copy constructor

Definition at line 65 of file NestedDefsPlugin.hh.

## Member Function Documentation

## description()

string fastjet::NestedDefsPlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 46 of file NestedDefsPlugin.cc.

## run_clustering()

void fastjet::NestedDefsPlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 58 of file NestedDefsPlugin.cc.

## R()

virtual double fastjet::NestedDefsPlugin::R | ( |  | ) | const

inline virtual

the plugin mechanism's standard way of accessing the jet radius here we return the R of the last alg in the list

Implements fastjet::JetDefinition::Plugin.

Definition at line 74 of file NestedDefsPlugin.hh.

The documentation for this class was generated from the following files:

- plugins/NestedDefs/fastjet/NestedDefsPlugin.hh
- plugins/NestedDefs/NestedDefsPlugin.cc